package at.acdp.urweb.sclient.data;

import com.eclipsesource.json.JsonObject;

public class LogHolder implements IJsonObject{
    public long timestamp;

    public IJsonObject entry;

    public LogHolder(IJsonObject entry) {
        this.entry=entry;
        this.timestamp=System.currentTimeMillis();
    }

    @Override
    public JsonObject toJSON() {
        return new JsonObject()
                .add("ts",timestamp)
                .add("entry",entry.toJSON());
    }
}
